fr.enssat.BoulderDash.exceptions

## Class UnknownModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - fr.enssat.BoulderDash.exceptions.UnknownModelException

All Implemented Interfaces:
  java.io.Serializable

    public class UnknownModelException
    extends java.lang.Exception

UnknownModelException Raises an 'UnknownSpriteException' exception. Given the exception message.

Since:
  2015-06-19
Author:
  Valerian Saliou <valerian@valeriansaliou.name>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnknownModelException(java.lang.String message)` Class constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownModelException

    public UnknownModelException(java.lang.String message)

Class constructor

Parameters:
  `message` - Exception backtrace message